# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bencher/Backend.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Bencher-Mark
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Benchmark like Benchmark.pm
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Bencher-Mark

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
EXPERIMENTAL.

This is an experiment to make writing benchmarks using the Bencher manpage easier. This
module offers an interface like the Benchmark manpage.pm, but internally it constructs a
scenario, feeds it to the Bencher::Backend manpage, then displays the formatted result.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/B*

%changelog
* Fri Nov 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

